неофициальный блог

Замечательные возможности Skype

Как запустить старые версии Скайп для Windows

По моему мнению, самый неприятный и единственный неоспоримый недостаток последних версий Скайпа, это то, что невозможно совершать видеозвонки на старых процессорах без поддержки набора инструкций SSE2. Чтобы помочь таким пользователям вновь радоваться видеозвонками на старых компьютерах, я решил написать руководство о том, как установить версию 6.1.999.130 — последняя версия, которая поддерживает видео на процессорах без SSE2. Конечно, вместо этой версии вы можете использовать любую другую, но в качестве примера я использую именно её.

Версия 6.1.999.130

Поскольку 6.1.999.130 больше не поддерживается, при вводе логина и пароля, возникает ошибка Skype не удаётся установить соединение. Но есть одна хитрость: если авторизоваться в Скайпе используя новую версию (то есть, которая поддерживается), закрыть Скайп, а потом запустить старую версию — вас будут автоматически авторизоваться в Скайпе, без ошибок, и без необходимости ввести логин и пароль. Таким образом можно пользоваться Скайпом, словно версия ещё поддерживается, и самое главное, работают все основные функции: видеозвонки, аудиозвонки и мгновенные сообщения.

1. Установка

  1. Если у вас уже установлен Скайп, удалите его из панели управления. После этого, откройте папку %appdata%\Skype и удалите файл shared.xml. В этой же папке, откройте папку с вашим логином Skype и удалите файл config.xml.

  2. Скачайте старую версию 6.1.999.130 и установите её. Если после установки Скайп запустился автоматически, очень важно закрыть его.

  3. Откройте папку установки (например, C:\Program Files\Skype\Phone) и переименуйте название файла «Skype» в «Skype_6.1.999.130» (если операционная система будет спрашивать ваше разрешение, подтвердите что хотите переименовать файл).

  4. Нажмите правый клик на «Skype_6.1.999.130», выберите «Отправить» и нажмите «Рабочий стол». На рабочем столе должен появиться новый ярлык «Ярлык для Skype_6.1.999.130».

  5. Скачайте версию 7.17.0.104 (самая старая версия, которая поддерживается официально) и установите её. Обратите внимание, старую версию 6.1.999.130 не нужно удалить.

  6. После установки версии 7.17.0.104 на рабочем столе должны быть два ярлыка: «Skype» и «Ярлык для Skype_6.1.999.130». Первый запускает версию 7.17.0.104, второй — 6.1.999.130. Прежде чем продолжить, убедитесь, что у вас так и получилось.

2. Настройка

  1. Запустите Скайп с помощью ярлыка «Skype» (то есть, нужно запустить версию 7.17.0.104). Если не уверены, что запустили правильную версию, в строке меню нажмите «Помощь» и выберите «О Skype» (там вы увидите номер версии). Если всё правильно, авторизуйтесь, используя ваш логин и пароль.
    Авторизация в Skype 7.17.0.104 для Windows


  2. Откройте Skype → Инструменты → Настройки → Общие настройки и снимите флажок напротив опции «Запускать Skype при запуске Windows». В этом же разделе, чуть ниже, поставьте флажок напротив опции «Автоматическая авторизация при запуске Skype».
    Включение автоматической авторизации


  3. Далее, в меню слева нажмите «Дополнительно», выберите «Автоматическое обновление», нажмите «Выключить автоматическое обновление» и нажмите «Сохранить».
    Отключение автоматической авторизации

3. Использование

  1. Чтобы запустить старую версию, используйте «Ярлык для Skype_6.1.999.130». Конечно, вы можете переключаться между версиями в любое время (например, запускать 6.1.999.130 только когда нужна видеосвязь, а в остальных случаев использовать новую версию).

  2. Перед тем как запустить одну из версий, убедитесь, что не запущена другая версия (например, перед запуском 6.1.999.130, убедитесь, что закрыли 7.17.0.104).

  3. Чтобы закрыть Скайп, в системном трее (рядом с часами) нажмите правый клик на значок Скайпа и выберите «Выход из Skype».

  4. Никогда не используйте опцию «Выйти из учётной записи», поскольку вы не сможете войти в старую версию, пока снова не войдёте в новую версию.

Внимание

  • При первом запуске «Ярлык для Skype_6.1.999.130» брандмауэр может спрашивать, если вы согласны разрешить программе получить доступ к Интернету. Очень важно, нажать «Разблокировать» или «Разрешить» и позволить Скайпу подключиться к сети.

  • Данные авторизации сохраняются на ограниченный период времени (примерно 30 дней с последнего входа в Скайпе). По истечению этого периода, придётся снова запустить и авторизоваться в новую версию.

  • Если после авторизации в старую версию, Скайп закрывается автоматически и требует пароль, закройте Скайп и удалите файлы shared.xml и config.xml.

  • В интернете существуют так сказать «патченные версии», которые позволяют авторизоваться в Скайпе, даже если они больше не поддерживаются. Однако эти версии изменены незнакомыми людьми, могут содержать вирусы и разработчики Скайпа запрещают их использование.

  • Я не могу гарантировать, что завтра этот способ будет ещё работать. Поэтому настоятельно рекомендую, если есть возможность, обновите и всегда используйте последнюю версию.

Я не знаю, сколько людей используют старые компьютеры без поддержки SSE2 и по-прежнему нуждаются в старых версиях Скайпа, но если их будет много, обещаю разработать упрощённый вариант этой инструкции. В общем, как всегда, жду ваши отзывы и комментарии.

24 комментариев

  1. 4 +4 0
    Татьяна,
    Добрый вечер! Честно, первый раз в жизни вижу такого толкового, небезразличного, компетентного, бескорыстного и порядочного админа! СПАСИБО Вам!!! Я оставляла свой вопрос на странице http://www.skaip.su/skayp-dlya-windows-xp#comment-8179 и хоть мне персонально еще не ответили, я считаю, что мне подходит вариант, предложенный Вами на этой странице (как запустить старую версию). И хотя на работе у меня всё обновилось до суперновой версии и всё работает, скайп есть на телефоне и всё работает, но "дело принципа", чтобы всё заработало и на моём старом компе без SSE2. Инструкция изложена, по-моему, доступно, но для хоть немного продвинутых пользователей. Я обязательно попробую в свободное время. Но, думаю, что многие будут ждать упрощённый вариант.
    1. 0 0 0
      Администратор,
      Здравствуйте! Спасибо большое за отзыв и добрые слова. На самом деле я ответил на Ваш комментарий, просто правильная ссылка выглядит так: http://www.skaip.su/skayp-dlya-windows-xp#comment-8209 (то есть, Ваш комментарий чуть ниже).

      Насчёт упрощённой версии, обязательно сделаю, только свободной времени побольше нужно найти, чтобы написать маленькую программку, дабы не требовалось ничего скопировать и удалить вручную. А тем временем, хотелось бы узнать, с какими трудностями сталкиваются неопытные пользователи во время прочтения этой статьи.
      1. 1 +1 0
        Татьяна,
        Просто комментарии появляются не сразу и тогда еще ответа не было.
        Старую версию пока запускать не пробовала. Подожду упрощенный вариант)))
  2. 0 0 0
    nadezhda,
    Спасибо за совет,но очень хотелось получить упрощенный вариант этой инструкции,и у меня работает только версия скайпа 5.10, загружало 6.21,авторизировалась и переходила на 5 все работало отлично! Жду инструкции.
  3. 0 0 0
    Кот,
    Это решение должно работать именно под 6.1.999?
    Попробовал провернуть этот трюк для используемой 6.14.0 - в результате я авторизовался, да, но во всех групповых чатах созданных до этого пишется "Функция обмена сообщениями недоступна". При создании новых чатов или для личных сообщений всё нормально.
    С чем это может быть связано и можно ли это как-то исправить?

    (Или на худой конец заменить файлы стилей новых версий с казуальных на человеческие)
    1. 0 0 0
      Администратор,
      Старые версии не поддерживают облачные групповые чаты, поэтому и появляется данная ошибка. Я точно не уверен, но боюсь это нельзя «исправить». Но как я сказал, данное руководство написано в первую очередь для тех, кто не могут совершить видеозвонки.

      Насчёт «заменить файлы стилей новых версий» — не совсем понял, что Вы имеете в виду, но если речь идёт о том, чтобы «поправить» дизайн, боюсь, такое тоже невозможно.
  4. 0 0 0
    Елена,
    Я вообще не могу ничего установить: то требуют одно сделать, то другое, в итоге ничего не устанавливается! Нельзя ли все сделать по проще???
    1. 0 0 0
      Администратор,
      Единственный вариант избежать критические ошибки — это соблюдать системные требования. Если Вы не уверены или нужна помощь, укажите, какую версию Скайпа Вы пытаетесь установить, и точный текст ошибки, которая возникает при установке.
  5. 1 +1 0
    Александр,
    Замечательная инструкция, с удовольствием почитал, жду упрощенный вариант.
    Админу спасибо, и рюмка чая :)
  6. 0 0 0
    Анатолий,
    Здравствуйте. До 8 марта прекрасно работала 6.20.0.101 . 8 марта стало требовать обновиться.Можно ли решить обратную задачу,не снося старую версию заставить ее работать?
    На втором компе 7.32.0.104 , 8 марта сама обновилась и стала требвать api-ms-win-crt-runtime-l1-1-0.dll .Откат системы состоянием на 6 марта решил проблему,новремя от времени обрывается связь,вращается змейка.Через некоторое врема подключается.Не смертельно ,но нервирует.Можно конечно дать обновиться и поставить это арі,но не уверен,что спасет от подвисаний.
    1. 0 0 0
      Администратор,
      Здравствуйте! Да, можно запустить 6.20.0.10 согласно инструкции (просто замените 6.1.999.130 на 6.20.0.101). Насчёт ошибки с отсутствием библиотеки, посмотрите решение здесь На компьютере отсутствует api-ms-win-crt-runtime-l1-1-0.dll.
  7. 1 0 1
    Oleg,
    Установил как тут написано, но при запуске новой версии 7.17 или любой другой повыше, процесс в диспетчере задач появляется на несколько секунд и исчезает. В итоге не могу авторизоваться.
  8. 0 0 0
    Alexandra,
    Добрый день! Спасибо огромное за инструкцию и за описание ограничений! Всё установила, всё прекрасно работает. Облачные групповые чаты принесены в жертву, но зато радует внешний вид! Спасибо!
  9. 0 0 0
    nadezhda,
    Добрый день!!!Очень полезный сайт,но вот у меня до недавних пор очень хорошо работала версия скайпа 5.10,я всегда устанавливала 6.21 для авторизации,а потом переходила на 5.10 и все работало ОТЛИЧНО,а неделю назад все перестало работать.......даже 6.21 не пускает...подскажите что мне делать??????стоит ХР

    [Добавлено 15 мар 2017 в 14:04]
    Все делала по инструкции,но ни 6.21 ни 6.1.999 не работает,пишет что отключен от сети- старая версия......ну очень нужен скайп.........
    1. 0 0 0
      Администратор,
      Здравствуйте! Прошу, сделайте всё в точности как указано в инструкции, начиная с первого пункта. Скорее всего, у Вас не получилось поскольку не удалили файлы shared.xml и config.xml.
      1. 0 0 0
        nadezhda,
        Здравствуйте! Все делала в точности,при запуске 6.1.999-- Не устанавливается скайп ,пишет вот такую ошибку . an error occurred while applying security settings. users is not a valid user or group .This could be a problem with the package...
        1. 0 0 0
          Администратор,
          Запустите командую строку с правами администратора, введите команду net localgroup /add Users и нажмите Enter.

          Другой вариант: следуйте инструкции, только вместо 6.1.999.130 используйте Вашу старую версию 5.1.0.104.
  10. 0 0 0
    Юлия,
    Добрый вечер!
    Все делаю по Вашей инструкции, как указано в п.6 - ярлык на рабочем столе не появляется после загрузки версии, только на панели задач?
    1. 0 0 0
      Администратор,
      Здравствуйте! Прочитайте внимательнее пункты 3 и 4.
  11. 0 0 0
    Valeriy,
    Конечно, печально, что пользователи ищут пути поставить программу со старым интерфейсом, так как он приятнее нового "улучшенного". ;-(
  12. 0 0 0
    Олег,
    С 17 марта заблокировали версию 4.2.0.187. Маленькая, простая, без рекламы, нормально работала на ХР с 256 мег. оперативки. Ищу другую рабочую версию. Пока мимо.
  13. 0 0 0
    Елена,
    спасибо, пока все заработало
  14. 0 0 0
    Сергей,
    Можете помочь с версией скайп для XP 64 bit?..
    Старые версии (до 7.17) говорят что "устарели и требуют обновления", а новые версии говорят что "устарел IE". При обновлении IE до версии 8, скайп говорит, что "нет подключения к интернету".
    Тупик.
    1. 0 0 0
      Администратор,
      Если проблема до сих пор актуальна, посмотрите решение здесь: К сожалению, не удалось подключиться к Skype.

Добавить новый комментарий

Комментарии проверяются администратором и могут не сразу появляться на сайте.
Имя:
Емайл:
Хотите получать оповещения о новых комментариях?
Если вы активируйте оповещения, вы сможете в любой момент отказаться о них.
Прежде чем начать получать оповещения, придётся подтвердить, что указанный емайл принадлежит вам.
Сообщение:
Оценка страницы: